import { Component } from 'react';
import ConfigContext, { ConfigContextValue } from '../../../lib/config-provider/ConfigContext';
import Record from '../data-set/Record';
import { ModalChildrenProps } from '../modal/interface';
export interface SecretFieldViewProps {
    modal?: ModalChildrenProps;
    readOnly?: boolean;
    name: string;
    record?: Record;
    label: string;
    pattern?: string | RegExp;
    restrict?: string | RegExp;
    required?: boolean;
    token?: string;
    countDown: any;
    onChange?: (data?: any) => void;
}
export interface VerifyTypeObjProps {
    name: string;
    type: string;
    value: string;
}
export default class SecretFieldView extends Component<SecretFieldViewProps> {
    static get contextType(): typeof ConfigContext;
    static displayName: string;
    context: ConfigContextValue;
    get prefixCls(): string;
    constructor(props: any, context: any);
    handleSuccess(): void;
    handleGoToEdit(): void;
    handleQuery(): Promise<void> | undefined;
    generatePattern(pattern: string | RegExp): RegExp;
    handleEdit(): Promise<void> | undefined;
    handleCancel(): void;
    formDs: any;
    setFormDs(): void;
    captchaKey: any;
    setCaptchaKey(value: any): void;
    captcha: any;
    setCaptcha(value: any): void;
    validate: any;
    setValidate(value: any): void;
    flag: any;
    setFlag(value: any): void;
    verifyTypeObj: any;
    setVerifyTypeObj(): void;
    handleFormUpdate({ name, value }: {
        name: any;
        value: any;
    }): void;
    handleVerifySliderCancel(): void;
    handleClickButton(): void;
    render(): JSX.Element;
}
